FileUtils File Reference
`#include <osgDB/Registry>`
`#include <vector>`
`#include <deque>`
`#include <string>`
`#include <stdio.h>`

Go to the source code of this file.

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_FILEUTILS 1

## Typedefs

typedef std::vector< std::string > | osgDB::DirectoryContents

## Enumerations

enum | osgDB::FileType { osgDB::FILE_NOT_FOUND , osgDB::REGULAR_FILE , osgDB::DIRECTORY }
enum | osgDB::CopyFileResult { osgDB::COPY_FILE_OK , osgDB::COPY_FILE_SOURCE_EQUALS_DESTINATION , osgDB::COPY_FILE_BAD_ARGUMENT , osgDB::COPY_FILE_SOURCE_MISSING , osgDB::COPY_FILE_SOURCE_NOT_OPENED , osgDB::COPY_FILE_DESTINATION_NOT_OPENED , osgDB::COPY_FILE_READ_ERROR , osgDB::COPY_FILE_WRITE_ERROR }

## Functions

OSGDB_EXPORT FILE * | osgDB::fopen (const char *filename, const char *mode)
OSGDB_EXPORT bool | osgDB::makeDirectory (const std::string &directoryPath)
OSGDB_EXPORT bool | osgDB::makeDirectoryForFile (const std::string &filePath)
OSGDB_EXPORT std::string | osgDB::getCurrentWorkingDirectory (void)
OSGDB_EXPORT bool | osgDB::setCurrentWorkingDirectory (const std::string &newCurrentWorkingDirectory)
OSGDB_EXPORT bool | osgDB::fileExists (const std::string &filename)
OSGDB_EXPORT FileType | osgDB::fileType (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::findFileInPath (const std::string &filename, const FilePathList &filePath, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
OSGDB_EXPORT std::string | osgDB::findFileInDirectory (const std::string &fileName, const std::string &dirName, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
OSGDB_EXPORT DirectoryContents | osgDB::getDirectoryContents (const std::string &dirName)
OSGDB_EXPORT DirectoryContents | osgDB::getSortedDirectoryContents (const std::string &dirName)
OSGDB_EXPORT DirectoryContents | osgDB::expandWildcardsInFilename (const std::string &filename)
OSGDB_EXPORT CopyFileResult | osgDB::copyFile (const std::string &source, const std::string &destination)
void | osgDB::setDataFilePathList (const FilePathList &filepath)
void | osgDB::setDataFilePathList (const std::string &paths)
FilePathList & | osgDB::getDataFilePathList ()
OSGDB_EXPORT std::string | osgDB::findDataFile (const std::string &filename, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
OSGDB_EXPORT std::string | osgDB::findDataFile (const std::string &filename, const Options *options, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
void | osgDB::setLibraryFilePathList (const FilePathList &filepaths)
void | osgDB::setLibraryFilePathList (const std::string &paths)
FilePathList & | osgDB::getLibraryFilePathList ()
OSGDB_EXPORT std::string | osgDB::findLibraryFile (const std::string &filename, CaseSensitivity caseSensitivity=CASE_SENSITIVE)
OSGDB_EXPORT void | osgDB::convertStringPathIntoFilePathList (const std::string &paths, FilePathList &filepath)
OSGDB_EXPORT bool | osgDB::containsCurrentWorkingDirectoryReference (const FilePathList &paths)
OSGDB_EXPORT void | osgDB::appendPlatformSpecificLibraryFilePaths (FilePathList &filepath)
OSGDB_EXPORT void | osgDB::appendPlatformSpecificResourceFilePaths (FilePathList &filepath)

## Macro Definition Documentation

## OSGDB_FILEUTILS

#define OSGDB_FILEUTILS 1